aboutsummaryrefslogtreecommitdiff
path: root/ci/lint/04_install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/lint/04_install.sh')
-rwxr-xr-xci/lint/04_install.sh47
1 files changed, 23 insertions, 24 deletions
diff --git a/ci/lint/04_install.sh b/ci/lint/04_install.sh
index b3b1c91ee0..148819f468 100755
--- a/ci/lint/04_install.sh
+++ b/ci/lint/04_install.sh
@@ -13,32 +13,31 @@ ${CI_RETRY_EXE} apt-get update
# - gpg (used by verify-commits)
${CI_RETRY_EXE} apt-get install -y curl xz-utils git gpg
-if [ -z "${SKIP_PYTHON_INSTALL}" ]; then
- PYTHON_PATH=/tmp/python
- if [ ! -d "${PYTHON_PATH}/bin" ]; then
- (
- git clone https://github.com/pyenv/pyenv.git
- cd pyenv/plugins/python-build || exit 1
- ./install.sh
- )
- # For dependencies see https://github.com/pyenv/pyenv/wiki#suggested-build-environment
- ${CI_RETRY_EXE} apt-get install -y build-essential libssl-dev zlib1g-dev \
- libbz2-dev libreadline-dev libsqlite3-dev curl llvm \
- libncursesw5-dev xz-utils tk-dev libxml2-dev libxmlsec1-dev libffi-dev liblzma-dev \
- clang
- env CC=clang python-build "$(cat "${BASE_ROOT_DIR}/.python-version")" "${PYTHON_PATH}"
- fi
- export PATH="${PYTHON_PATH}/bin:${PATH}"
- command -v python3
- python3 --version
+PYTHON_PATH="/python_build"
+if [ ! -d "${PYTHON_PATH}/bin" ]; then
+ (
+ git clone https://github.com/pyenv/pyenv.git
+ cd pyenv/plugins/python-build || exit 1
+ ./install.sh
+ )
+ # For dependencies see https://github.com/pyenv/pyenv/wiki#suggested-build-environment
+ ${CI_RETRY_EXE} apt-get install -y build-essential libssl-dev zlib1g-dev \
+ libbz2-dev libreadline-dev libsqlite3-dev curl llvm \
+ libncursesw5-dev xz-utils tk-dev libxml2-dev libxmlsec1-dev libffi-dev liblzma-dev \
+ clang
+ env CC=clang python-build "$(cat "./.python-version")" "${PYTHON_PATH}"
fi
+export PATH="${PYTHON_PATH}/bin:${PATH}"
+command -v python3
+python3 --version
-${CI_RETRY_EXE} pip3 install codespell==2.2.5
-${CI_RETRY_EXE} pip3 install flake8==6.0.0
-${CI_RETRY_EXE} pip3 install lief==0.13.2
-${CI_RETRY_EXE} pip3 install mypy==1.4.1
-${CI_RETRY_EXE} pip3 install pyzmq==25.1.0
-${CI_RETRY_EXE} pip3 install vulture==2.6
+${CI_RETRY_EXE} pip3 install \
+ codespell==2.2.5 \
+ flake8==6.0.0 \
+ lief==0.13.2 \
+ mypy==1.4.1 \
+ pyzmq==25.1.0 \
+ vulture==2.6
SHELLCHECK_VERSION=v0.8.0
curl -sL "https://github.com/koalaman/shellcheck/releases/download/${SHELLCHECK_VERSION}/shellcheck-${SHELLCHECK_VERSION}.linux.x86_64.tar.xz" | \